%define _name PQ

Name: freesci-data-pq2
Version: 1.0
Release: alt1
Summary: Police Quest II
Summary (ru_RU.UTF-8): Police Quest II
License: Non Free
Group: Games/Adventure
Source0: data.tar.gz
Source1: PQ2.TXT 
Source2: README.html
NoSource: 0
Buildarch: noarch
Autoreq: 0
Requires: freesci

%description
Police Quest II data files for FreeSCI.

%description -l ru_RU.UTF-8
Файлы данных Police Quest II для FreeSCI.

%prep
%setup -q -n data
%build
%install
install -m755 -d $RPM_BUILD_ROOT%_usr/games/%_name
install -m644 * $RPM_BUILD_ROOT%_usr/games/%_name
install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_datadir/doc/%name-%version/PQ2.TXT
# script
echo '#!/bin/sh
if  [ ! -f "$HOME/.freesci/config" ]; then
    mkdir -p "$HOME/.freesci" && touch "$HOME/.freesci/config"
fi

if [ "$(cat "$HOME/.freesci/config" | grep "\[%_name\]")" = "" ]; then
    echo -e "\n[%_name]\nresource_dir=/usr/games/%_name\n" >> "$HOME/.freesci/config"
fi

freesci %_name' > $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
chmod 755 $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%_usr/games/%_name/freesci.sh" needs="X11" \
section="Games/Adventure" title="Police Quest II" \
longtitle="Taselli - a round face, Bains - an oval face with moustache, Granandez - same with bigger moustache and sideburns, Simms - same with sideburns, South - a boyish haircut combed to the left, Jones - a black man with moustache, Dickey - a blonde guy, Snider - a black woman, Colby - with square chin, Valencia - mulatto with thin moustache" icon="freesci.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_usr/games/%_name
%_menudir/%name
%doc %_datadir/doc/%name-%version/PQ2.TXT

%changelog
* Fri Nov 22 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- Sample freesci-data package
